import 'package:flutter/widgets.dart';
import 'package:flutter_gherkin_integration/flutter_gherkin.dart';
import 'package:gherkin/gherkin.dart';
import 'package:flutter_test/flutter_test.dart';

/// Shows an example of using the `WidgetTester` from the `World` context rather than
/// using the implementation agnostic `appDriver`
final whenAnAnimationIsAwaited = when1<int, FlutterWidgetTesterWorld>(
  'I wait {int} seconds for the animation to complete',
  (duration, context) async {
    final tester = context.world.rawAppDriver;

    try {
      await tester.pumpAndSettle(
        const Duration(milliseconds: 100),
        EnginePhase.sendSemanticsUpdate,
        Duration(seconds: duration),
      );
      // ignore: avoid_catching_errors
    } on FlutterError {
      // pump for 2 seconds and stop
      await tester.pump(const Duration(seconds: 2));
    }
  },
  configuration: StepDefinitionConfiguration()
    ..timeout = const Duration(minutes: 5),
);
